import Icon from "@ant-design/icons";
// import overView from "../public/dash_icons/Dashboard.svg";

// const OverviewSvg = (props) => <Icon component={overView} {...props} />;

const DashboardSvg = () => (
  <svg
    width="1em"
    height="1em"
    viewBox="0 0 27 27"
    xmlns="http://www.w3.org/2000/svg"
  >
    <rect
      x="7.10529"
      y="7.10547"
      width="4"
      height="4"
      rx="1.4"
      // fill="#5D5FEF"
      fill="currentColor"
    />
    <rect
      x="7.10529"
      y="13.1055"
      width="4"
      height="4"
      rx="1.4"
      // fill="#5D5FEF"
      fill="currentColor"
    />
    <rect
      x="13.1053"
      y="7.10547"
      width="4"
      height="4"
      rx="1.4"
      // fill="#5D5FEF"
      fill="currentColor"
    />
    <rect
      x="13.1053"
      y="13.1055"
      width="7"
      height="7"
      rx="1.4"
      // fill="#5D5FEF"
      fill="currentColor"
    />
  </svg>
);

const HelpSvg = () => (
  <svg
    width="1em"
    height="1em"
    fill="none"
    viewBox="0 0 27 27"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M13 21C17.4183 21 21 17.4183 21 13C21 8.58172 17.4183 5 13 5C8.58172 5 5 8.58172 5 13C5 17.4183 8.58172 21 13 21Z"
      // stroke="#6F6C99"
      stroke="currentColor"
      stroke-width="1.5"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
    <path
      d="M10.6721 10.5997C10.8601 10.065 11.2314 9.61416 11.72 9.32698C12.2087 9.0398 12.7832 8.93482 13.3418 9.03064C13.9004 9.12646 14.4071 9.41689 14.7721 9.8505C15.1371 10.2841 15.3369 10.8329 15.3361 11.3997C15.3361 12.9997 12.9361 13.7997 12.9361 13.7997"
      // stroke="#6F6C99"
      stroke="currentColor"
      stroke-width="1.5"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
    <path
      d="M13 17H13.0112"
      // stroke="#6F6C99"
      stroke="currentColor"
      stroke-width="1.5"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
  </svg>
);

const TradeSvg = () => (
  <svg
    width="1em"
    height="1em"
    viewBox="0 0 27 27"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      fill-rule="evenodd"
      clip-rule="evenodd"
      d="M13 13H6V6L8.79272 8.79272L9.85356 7.73189C10.2441 7.34136 10.8772 7.34136 11.2678 7.73189C11.6583 8.12241 11.6583 8.75558 11.2678 9.1461L10.2069 10.2069L13 13ZM21.2678 13.7324H14.2678L17.0608 16.5255L16 17.5863C15.6095 17.9768 15.6095 18.61 16 19.0005C16.3905 19.391 17.0237 19.391 17.4142 19.0005L18.475 17.9397L21.2678 20.7324V13.7324Z"
      // fill="#6F6C99"
      fill="currentColor"
    />
  </svg>
);

const WalletSvg = () => (
  <svg
    width="1em"
    height="1em"
    viewBox="0 0 27 27"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      fill-rule="evenodd"
      clip-rule="evenodd"
      d="M9 7C7.89543 7 7 7.89543 7 9V18C7 19.1046 7.89543 20 9 20H18C19.1046 20 20 19.1046 20 18V9C20 7.89543 19.1046 7 18 7H9ZM14.5 12C13.6716 12 13 12.6716 13 13.5C13 14.3284 13.6716 15 14.5 15H16.5C17.3284 15 18 14.3284 18 13.5C18 12.6716 17.3284 12 16.5 12H14.5Z"
      // fill="#6F6C99"
      fill="currentColor"
    />
  </svg>
);

const WithdrawSvg = () => (
  <svg
    width="1em"
    height="1em"
    viewBox="0 0 27 27"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M13 15.0909C12.4606 15.0909 11.9333 15.2509 11.4848 15.5505C11.0363 15.8502 10.6867 16.2762 10.4803 16.7745C10.2739 17.2728 10.2199 17.8212 10.3251 18.3502C10.4304 18.8793 10.6901 19.3652 11.0715 19.7467C11.4529 20.1281 11.9389 20.3878 12.4679 20.4931C12.997 20.5983 13.5453 20.5443 14.0437 20.3379C14.542 20.1314 14.968 19.7819 15.2676 19.3334C15.5673 18.8849 15.7273 18.3576 15.7273 17.8182C15.7273 17.0949 15.4399 16.4012 14.9285 15.8897C14.417 15.3782 13.7233 15.0909 13 15.0909ZM13 18.7273C12.8202 18.7273 12.6444 18.674 12.4949 18.5741C12.3454 18.4742 12.2289 18.3322 12.1601 18.1661C12.0913 18 12.0733 17.8172 12.1084 17.6408C12.1435 17.4645 12.23 17.3025 12.3572 17.1754C12.4843 17.0482 12.6463 16.9616 12.8226 16.9266C12.999 16.8915 13.1818 16.9095 13.3479 16.9783C13.514 17.0471 13.656 17.1636 13.7559 17.3131C13.8558 17.4626 13.9091 17.6384 13.9091 17.8182C13.9091 18.0593 13.8133 18.2905 13.6428 18.461C13.4723 18.6315 13.2411 18.7273 13 18.7273ZM12.3545 13.0091C12.441 13.0919 12.543 13.1567 12.6545 13.2C12.7634 13.2481 12.881 13.2729 13 13.2729C13.119 13.2729 13.2366 13.2481 13.3455 13.2C13.457 13.1567 13.559 13.0919 13.6455 13.0091L15.7273 10.9636C15.9033 10.7876 16.0022 10.5489 16.0022 10.3C16.0022 10.0511 15.9033 9.81237 15.7273 9.63636C15.5513 9.46036 15.3125 9.36148 15.0636 9.36148C14.8147 9.36148 14.576 9.46036 14.4 9.63636L13.9091 10.1727V6.90909C13.9091 6.66799 13.8133 6.43675 13.6428 6.26627C13.4723 6.09578 13.2411 6 13 6C12.7589 6 12.5277 6.09578 12.3572 6.26627C12.1867 6.43675 12.0909 6.66799 12.0909 6.90909V10.1727L11.6 9.63636C11.424 9.46036 11.1853 9.36148 10.9364 9.36148C10.6875 9.36148 10.4487 9.46036 10.2727 9.63636C10.0967 9.81237 9.99784 10.0511 9.99784 10.3C9.99784 10.5489 10.0967 10.7876 10.2727 10.9636L12.3545 13.0091ZM19.3636 17.8182C19.3636 17.6384 19.3103 17.4626 19.2104 17.3131C19.1105 17.1636 18.9686 17.0471 18.8024 16.9783C18.6363 16.9095 18.4535 16.8915 18.2772 16.9266C18.1008 16.9616 17.9389 17.0482 17.8117 17.1754C17.6846 17.3025 17.598 17.4645 17.5629 17.6408C17.5278 17.8172 17.5458 18 17.6147 18.1661C17.6835 18.3322 17.8 18.4742 17.9495 18.5741C18.099 18.674 18.2747 18.7273 18.4545 18.7273C18.6957 18.7273 18.9269 18.6315 19.0974 18.461C19.2679 18.2905 19.3636 18.0593 19.3636 17.8182ZM20.2727 11.4545H17.5455C17.3043 11.4545 17.0731 11.5503 16.9026 11.7208C16.7321 11.8913 16.6364 12.1225 16.6364 12.3636C16.6364 12.6047 16.7321 12.836 16.9026 13.0065C17.0731 13.1769 17.3043 13.2727 17.5455 13.2727H20.2727C20.5138 13.2727 20.7451 13.3685 20.9156 13.539C21.086 13.7095 21.1818 13.9407 21.1818 14.1818V21.4545C21.1818 21.6957 21.086 21.9269 20.9156 22.0974C20.7451 22.2679 20.5138 22.3636 20.2727 22.3636H5.72727C5.48617 22.3636 5.25494 22.2679 5.08445 22.0974C4.91396 21.9269 4.81818 21.6957 4.81818 21.4545V14.1818C4.81818 13.9407 4.91396 13.7095 5.08445 13.539C5.25494 13.3685 5.48617 13.2727 5.72727 13.2727H8.45455C8.69565 13.2727 8.92688 13.1769 9.09737 13.0065C9.26786 12.836 9.36364 12.6047 9.36364 12.3636C9.36364 12.1225 9.26786 11.8913 9.09737 11.7208C8.92688 11.5503 8.69565 11.4545 8.45455 11.4545H5.72727C5.00396 11.4545 4.31026 11.7419 3.7988 12.2533C3.28734 12.7648 3 13.4585 3 14.1818V21.4545C3 22.1779 3.28734 22.8716 3.7988 23.383C4.31026 23.8945 5.00396 24.1818 5.72727 24.1818H20.2727C20.996 24.1818 21.6897 23.8945 22.2012 23.383C22.7127 22.8716 23 22.1779 23 21.4545V14.1818C23 13.4585 22.7127 12.7648 22.2012 12.2533C21.6897 11.7419 20.996 11.4545 20.2727 11.4545ZM6.63636 17.8182C6.63636 17.998 6.68968 18.1737 6.78957 18.3232C6.88947 18.4727 7.03145 18.5893 7.19756 18.6581C7.36368 18.7269 7.54646 18.7449 7.72281 18.7098C7.89916 18.6747 8.06114 18.5881 8.18828 18.461C8.31542 18.3339 8.402 18.1719 8.43708 17.9955C8.47216 17.8192 8.45415 17.6364 8.38535 17.4703C8.31654 17.3042 8.20002 17.1622 8.05052 17.0623C7.90102 16.9624 7.72526 16.9091 7.54545 16.9091C7.30435 16.9091 7.07312 17.0049 6.90263 17.1754C6.73214 17.3458 6.63636 17.5771 6.63636 17.8182Z"
      // fill="#6F6C99"
      fill="currentColor"
    />
  </svg>
);

// Admin SVG

const UserManageSvg = () => (
  <svg
    width="1em"
    height="1em"
    viewBox="0 0 27 27"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M10.535 19.1298L10.535 19.1298C10.2743 19.1678 10.0754 19.3963 10.0754 19.6739V19.6743C10.075 19.7946 10.1144 19.9116 10.1872 20.0072C10.3423 20.2092 10.5016 20.408 10.6648 20.6034L10.8704 20.8496H10.5497H9.71219H9.63933L9.59428 20.7923C9.54124 20.7249 9.48796 20.6562 9.43415 20.5864C9.23169 20.3239 9.12539 20.0006 9.12539 19.6742C9.12539 18.9395 9.65603 18.2983 10.3977 18.1901L10.535 19.1298ZM10.535 19.1298C12.7437 18.8071 14.261 18.8345 16.4761 19.1412M10.535 19.1298L16.9249 20.0909M16.9249 20.0909C17.0218 19.9726 17.0754 19.8211 17.0754 19.6651C17.0764 19.5021 17.0185 19.3443 16.9122 19.2207C16.8059 19.0971 16.6585 19.0161 16.4972 18.9927L16.4757 19.1412C16.4758 19.1412 16.476 19.1412 16.4761 19.1412M16.9249 20.0909C16.7983 20.2456 16.6693 20.3984 16.5381 20.5493L16.9249 20.0909ZM16.4761 19.1412C16.6014 19.1595 16.7159 19.2224 16.7985 19.3185C16.8811 19.4146 16.9262 19.5374 16.9254 19.6642V19.6651C16.9254 19.7872 16.8833 19.9049 16.8089 19.9959L16.8088 19.9959C16.6413 20.2006 16.4697 20.4019 16.2941 20.5997L16.0724 20.8493H16.4062H17.2645H17.3345L17.3795 20.7957C17.4339 20.7308 17.4885 20.6648 17.5434 20.5981L17.5439 20.5975C17.7586 20.3342 17.8757 20.005 17.8754 19.6653M16.4761 19.1412L17.8754 19.6653M17.8754 19.6653C17.8754 19.6654 17.8754 19.6654 17.8754 19.6655H17.7254L17.8754 19.6653ZM17.8754 19.6653C17.8753 18.9341 17.3415 18.3021 16.6068 18.2006L17.8754 19.6653ZM16.6068 18.2006C14.3145 17.8834 12.7063 17.8527 10.3977 18.1901L16.6068 18.2006Z"
      fill="currentColor"
      stroke="currentColor"
      strokeWidth="0.3"
    />
    <path
      d="M14.1892 15.5384C13.9708 15.6288 13.7368 15.6754 13.5004 15.6754C13.023 15.6754 12.5652 15.4857 12.2276 15.1482C11.89 14.8106 11.7004 14.3528 11.7004 13.8754C11.7004 13.398 11.89 12.9402 12.2276 12.6026C12.5652 12.265 13.023 12.0754 13.5004 12.0754C13.7368 12.0754 13.9708 12.1219 14.1892 12.2124C14.4076 12.3029 14.606 12.4355 14.7732 12.6026C14.9403 12.7697 15.0729 12.9682 15.1634 13.1866C15.2538 13.4049 15.3004 13.639 15.3004 13.8754C15.3004 14.1118 15.2538 14.3458 15.1634 14.5642C15.0729 14.7826 14.9403 14.981 14.7732 15.1482C14.606 15.3153 14.4076 15.4479 14.1892 15.5384ZM13.5004 16.6254C14.2297 16.6254 14.9292 16.3357 15.4449 15.8199C15.9607 15.3042 16.2504 14.6047 16.2504 13.8754C16.2504 13.146 15.9607 12.4466 15.4449 11.9308C14.9292 11.4151 14.2297 11.1254 13.5004 11.1254C12.771 11.1254 12.0716 11.4151 11.5558 11.9308C11.0401 12.4466 10.7504 13.146 10.7504 13.8754C10.7504 14.6047 11.0401 15.3042 11.5558 15.8199C12.0716 16.3357 12.771 16.6254 13.5004 16.6254Z"
      fill="currentColor"
      stroke="currentColor"
      strokeWidth="0.3"
    />
    <path
      d="M19.2 15.5C19.2 18.648 16.648 21.2 13.5 21.2C10.352 21.2 7.8 18.648 7.8 15.5C7.8 12.352 10.352 9.8 13.5 9.8C16.648 9.8 19.2 12.352 19.2 15.5ZM13.5 22.15C17.1728 22.15 20.15 19.1728 20.15 15.5C20.15 11.8272 17.1728 8.85 13.5 8.85C9.82721 8.85 6.85 11.8272 6.85 15.5C6.85 19.1728 9.82721 22.15 13.5 22.15Z"
      fill="currentColor"
      stroke="currentColor"
      strokeWidth="0.3"
    />
  </svg>
);

const MintTokenSvg = () => (
  <svg
    width="1em"
    height="1em"
    viewBox="0 0 27 27"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M18.3636 8H20.5455M8.18182 13.8182H6V10.9091H22V13.8182H19.8182H8.18182ZM9.63636 10.9091H18.3636V21.0953C18.3619 21.4812 18.2071 21.8507 17.9331 22.1226C17.6592 22.3945 17.2885 22.5466 16.9025 22.5455H11.0982C10.907 22.5462 10.7175 22.5093 10.5406 22.4369C10.3636 22.3644 10.2027 22.2578 10.0669 22.1231C9.93118 21.9885 9.82329 21.8284 9.74942 21.652C9.67554 21.4757 9.63713 21.2865 9.63636 21.0953V10.9091ZM14.7273 19.6364H16.9091H14.7273ZM14.7273 17.4545H16.9091H14.7273ZM14.7273 15.2727H16.9091H14.7273ZM12.5455 22.5455V10.9091V22.5455ZM7.45455 8H9.63636H7.45455ZM11.0909 8H13.2727H11.0909ZM14.7273 8H16.9091H14.7273Z"
      stroke="currentColor"
      strokeWidth="1.5"
    />
  </svg>
);

const HistorySvg = () => (
  <svg
    width="1em"
    height="1em"
    viewBox="0 0 27 27"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M13 13H6V6L8.79272 8.79272L9.85356 7.73189C10.2441 7.34136 10.8772 7.34136 11.2678 7.73189C11.6583 8.12241 11.6583 8.75558 11.2678 9.1461L10.2069 10.2069L13 13ZM21.2678 13.7324H14.2678L17.0608 16.5255L16 17.5863C15.6095 17.9768 15.6095 18.61 16 19.0005C16.3905 19.391 17.0237 19.391 17.4142 19.0005L18.475 17.9397L21.2678 20.7324V13.7324Z"
      fill="currentColor"
    />
  </svg>
);

const FlaggedSvg = () => (
  <svg
    width="1em"
    height="1em"
    viewBox="0 0 27 27"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M13 21C17.4183 21 21 17.4183 21 13C21 8.58172 17.4183 5 13 5C8.58172 5 5 8.58172 5 13C5 17.4183 8.58172 21 13 21Z"
      stroke="currentColor"
      strokeWidth="1.5"
      strokeLinecap="round"
      strokeLinejoin="round"
    />
    <path
      d="M16.9531 16.1394L13.5433 9.31967C13.3301 8.89344 12.7441 8.89344 12.531 9.31967L9.06783 16.1394C8.85472 16.5123 9.17439 16.9918 9.60062 16.9918H16.4203C16.8466 16.9918 17.113 16.5123 16.9531 16.1394ZM13.0105 15.9263C12.5842 15.9263 12.2113 15.5533 12.2113 15.1271C12.2113 14.7008 12.531 14.3279 13.0105 14.3279C13.49 14.3279 13.8097 14.7008 13.8097 15.1271C13.8097 15.6066 13.4367 15.9263 13.0105 15.9263ZM13.5433 13.7951H12.4777L12.2113 11.9303C12.2113 11.7705 12.3178 11.6639 12.4777 11.6639H13.5433C13.7031 11.6639 13.8097 11.7705 13.8097 11.9303L13.5433 13.7951Z"
      fill="currentColor"
    />
  </svg>
);

export const DashboardIcon = (props) => (
  <Icon component={DashboardSvg} {...props} />
);

export const HelpIcon = (props) => <Icon component={HelpSvg} {...props} />;

export const TradeIcon = (props) => <Icon component={TradeSvg} {...props} />;

export const WalletIcon = (props) => <Icon component={WalletSvg} {...props} />;

export const WithdrawIcon = (props) => (
  <Icon component={WithdrawSvg} {...props} />
);

// Admin Icons

export const UserManageIcon = (props) => (
  <Icon component={UserManageSvg} {...props} />
);
export const MintTokenIcon = (props) => (
  <Icon component={MintTokenSvg} {...props} />
);
export const HistoryIcon = (props) => (
  <Icon component={HistorySvg} {...props} />
);
export const FlaggedIcon = (props) => (
  <Icon component={FlaggedSvg} {...props} />
);
